TEMPLATE = app
CONFIG += console
CONFIG -= app_bundle
CONFIG -= qt

INCLUDEPATH += /opt/gurobi562/linux64/include/ ../OGDF/

LIBS += -L/opt/gurobi562/linux64/lib/ -L../OGDF/_release -lOGDF -lgurobi_c++ -lgurobi56 -lantlr3c -lpthread -lboost_system -lboost_filesystem

QMAKE_CXXFLAGS += -std=c++0x

SOURCES += main.cpp \
    parser/GDSLGrammarParser.c \
    parser/GDSLGrammarLexer.c \
    parser/gdslvariable.cpp \
    parser/antlrutilities.cpp \
    parser/expressions/gdslprogram.cpp \
    parser/expressions/gdslloop.cpp \
    parser/expressions/gdslassign.cpp \
    parser/restrictions/gdslclosedintvl.cpp \
    parser/restrictions/gdslintrest.cpp \
    parser/expressions/mathexpr.cpp \
    parser/parseexception.cpp \
    parser/ilp/ilpvariable.cpp \
    parser/ilp/ilpexpr.cpp \
    parser/ilp/ilpequation.cpp \
    parser/combinationiterator.cpp \
    parser/ilp/ilpexprlist.cpp \
    parser/operator.cpp \
    parser/expressions/gdsleqexpr.cpp \
    parser/expressions/sumexpr.cpp \
    parser/grid.cpp \
    parser/randomaccessgraph.cpp \
    parser/outofboundsexception.cpp \
    preprocessor/gdslpreprocessor.cpp \
    parser/restrictions/gdslattributerest.cpp \
    parser/gdslexception.cpp \
    parser/anltrparseerror.c \
    parser/restrictions/notanintegerexception.cpp \
    parser/restrictions/gdslpropertyrestriction.cpp \
    preprocessor/usestmt.cpp \
    preprocessor/valuestmt.cpp \
    preprocessor/preprocessorutilities.cpp

HEADERS += \
    parser/GDSLGrammarParser.h \
    parser/GDSLGrammarLexer.h \
    parser/antlrutilities.hpp \
    parser/gdslvariable.hpp \
    parser/expressions/gdslexpr.hpp \
    parser/expressions/gdslassign.hpp \
    parser/expressions/gdslprogram.hpp \
    parser/expressions/gdslloop.hpp \
    parser/restrictions/gdslrestriction.hpp \
    parser/restrictions/gdslintrest.hpp \
    parser/restrictions/gdslrange.hpp \
    parser/restrictions/gdslclosedintvl.hpp \
    parser/expressions/mathexpr.hpp \
    parser/parseexception.hpp \
    parser/ilp/ilpvariable.hpp \
    parser/ilp/ilpexpr.hpp \
    parser/ilp/ilpequation.hpp \
    parser/combinationiterator.hpp \
    parser/ilp/ilpexprlist.hpp \
    parser/operator.hpp \
    parser/expressions/gdsleqexpr.hpp \
    parser/expressions/sumexpr.hpp \
    parser/grid.hpp \
    parser/randomaccessgraph.hpp \
    parser/restrictions/gdslnullrestriction.hpp \
    parser/outofboundsexception.hpp \
    preprocessor/gdslpreprocessor.hpp \
    parser/restrictions/gdslattributerest.hpp \
    parser/gdslexception.hpp \
    parser/antlrparseerror.h \
    parser/restrictions/notanintegerexception.hpp \
    parser/restrictions/gdslpropertyrestriction.hpp \
    preprocessor/executeforstmt.hpp \
    preprocessor/usestmt.hpp \
    preprocessor/intstmt.hpp \
    preprocessor/boolstmt.hpp \
    preprocessor/valuestmt.hpp \
    preprocessor/preprocessorutilities.hpp \
    preprocessor/conststmt.hpp


OTHER_FILES += \
    parser/Simplifier.g \
    parser/GDSLGrammar.g \
    parser/GDSLPreprocessor.g \
    preprocessor/GDSLPreprocessor.tokens

FORMS +=
