#ifndef COMBINATIONITERATOR_HPP
#define COMBINATIONITERATOR_HPP

#include <algorithm>
#include <memory>

#include "restrictions/gdslrestriction.hpp"

namespace gdsl
{
class CombinationIterator
{
public:
    CombinationIterator(GDSLRestList& rests);
    CombinationIterator(std::vector<std::shared_ptr<GDSLRange> > &ranges);

    GDSLRestList current();
    std::vector<int> currentAsInt();
    void reset();
    bool isEnd();
    void next();

private:
    std::vector<GDSLRangeIterator> m_begins;
    std::vector<GDSLRangeIterator> m_its;
    std::vector<GDSLRangeIterator> m_ends;

    GDSLRestList m_rests;
    bool m_end = false;
};
}
#endif // COMBINATIONITERATOR_HPP
