#ifndef gdslassign_hpp
#define gdslassign_hpp 1

#include <sstream>
#include <string>
#include <memory>
#include <iostream>

#include "gdslexpr.hpp"
#include "gdsleqexpr.hpp"
#include "mathexpr.hpp"
#include "sumexpr.hpp"
#include "../antlrutilities.hpp"
#include "../gdslvariable.hpp"
#include "../ilp/ilpequation.hpp"
#include "../operator.hpp"

namespace gdsl
{

class GDSLAssign : public GDSLExpr
{     
public:
    GDSLAssign(pANTLR3_BASE_TREE tree, GDSLVariable::GDSLVarTable& vars, std::shared_ptr<Operator>& op)
    {
        m_op = op;
        parseFromTree(tree, vars);
    }

    ~GDSLAssign() {}

    void eval(GDSLVariable::GDSLVarTable& scope, ConstantsMap& constants, EquationList& constraints, std::shared_ptr<RandomAccessGraph> attr,
              std::shared_ptr<Grid> grid);
    bool parseFromTree(pANTLR3_BASE_TREE tree, GDSLVariable::GDSLVarTable& vars);

    std::string toString() const;
    void clear() {m_left->clear(); m_right->clear();}

private:
    std::shared_ptr<GDSLEqExpr> m_left;
    std::shared_ptr<GDSLEqExpr> m_right;

    std::shared_ptr<Operator> m_op;
};

}
#endif // gdslassign_hpp
