#ifndef gdslloop_hpp
#define gdslloop_hpp 1

#include <string>
#include <sstream>
#include <iostream>
#include <memory>

#include "gdslexpr.hpp"
#include "../gdslvariable.hpp"
#include "../antlrutilities.hpp"

namespace gdsl
{
class GDSLProgram;

class GDSLLoop : public GDSLExpr
{     

public:
    GDSLLoop(pANTLR3_BASE_TREE tree, GDSLVariable::GDSLVarTable& vars)
    {
        m_varName = "";
        parseFromTree(tree, vars);
    }

    ~GDSLLoop()
	{  }

    void eval(GDSLVariable::GDSLVarTable& scope, ConstantsMap& constants, EquationList& constraints, std::shared_ptr<RandomAccessGraph> attr,
              std::shared_ptr<Grid> grid);
    bool parseFromTree(pANTLR3_BASE_TREE tree, GDSLVariable::GDSLVarTable& vars);

    std::string toString() const;

    void clear();

private:
    pANTLR3_BASE_TREE m_tree;
    std::string m_varName;
    std::shared_ptr<GDSLVariable> m_var;
    std::shared_ptr<GDSLVariable> m_iterVar;
    std::shared_ptr<GDSLProgram> m_body;
};
}
#endif // gdslloop_hpp
