#ifndef ILPEQUATION_HPP
#define ILPEQUATION_HPP

#include <memory>
#include <string>
#include <sstream>

#include <iostream>

#include "ilpexpr.hpp"
#include "ilpexprlist.hpp"
#include "../antlrutilities.hpp"
#include "../operator.hpp"
#include "gurobi_c++.h"

namespace gdsl
{
class IlpEquation
{
public:
    IlpEquation(std::shared_ptr<IlpExprList>& left, std::shared_ptr<IlpExprList>& right, std::shared_ptr<Operator>& op)
    {
        m_left = left;
        m_right = right;
        m_op = op;
    }

    void addLeft(std::shared_ptr<IlpExprList>& left) {m_left = left;}
    void addRight(std::shared_ptr<IlpExprList>& right) {m_right = right;}

    std::string toString() const;
    void toGurobi(std::shared_ptr<GRBModel>& model) const;

private:
    std::shared_ptr<IlpExprList> m_left;
    std::shared_ptr<IlpExprList> m_right;

    std::shared_ptr<Operator> m_op;
};
}
#endif // ILPEQUATION_HPP
