#ifndef ILPEXPRLIST_HPP
#define ILPEXPRLIST_HPP

#include <vector>
#include <memory>
#include <sstream>

#include "ilpexpr.hpp"

#include "gurobi_c++.h"

namespace gdsl
{
class IlpExprList
{
public:
    typedef std::vector< std::shared_ptr<IlpExpr> >::iterator IlpExprListIterator;
    typedef std::vector< std::shared_ptr<IlpExpr> >::const_iterator CIlpExprListIterator;

    IlpExprList() {}
    IlpExprList(double constant) {append(std::make_shared<IlpExpr>(constant));}

    void append(std::shared_ptr<IlpExpr> expr) {m_exprs.push_back(expr);}
    std::shared_ptr<IlpExpr> at(int i) const {return m_exprs.at(i);}

    bool isNumber() const;
    std::string toString() const;

    IlpExprListIterator begin() {return m_exprs.begin();}
    IlpExprListIterator end() {return m_exprs.end();}

    CIlpExprListIterator begin() const {return m_exprs.begin();}
    CIlpExprListIterator end() const {return m_exprs.end();}

private:
    std::vector< std::shared_ptr<IlpExpr> > m_exprs;
};
}
#endif // ILPEXPRLIST_HPP
