#include "ilpvariable.hpp"

#include "../gdslvariable.hpp"

using namespace gdsl;

std::string IlpVariable::toString() const
{
    return m_var->toString(m_id) + "(" +  m_grbVar->get(GRB_StringAttr_VarName) + ")";
}

void IlpVariable::createGRBVar(std::shared_ptr<GRBModel> &model)
{
    std::stringstream ss;
    ss << m_var->id() << "_" << m_id;

    m_grbVar = std::make_shared<GRBVar>(model->addVar(0, 1, 0, GRB_BINARY, ss.str()));
}

string IlpVariable::grbToString() const
{
    auto name = m_grbVar->get(GRB_StringAttr_VarName);
    auto value = m_grbVar->get(GRB_DoubleAttr_X);

    std::stringstream ss;
    ss << name << " = " << value;
    return ss.str();
}

std::string IlpVariable::value() const
{
    return std::to_string((int)m_grbVar->get(GRB_DoubleAttr_X));
}
