#ifndef ILPVARIABLE_HPP
#define ILPVARIABLE_HPP

#include <memory>
#include <string>
#include <sstream>

#include <gurobi_c++.h>

namespace gdsl
{
class GDSLVariable;

class IlpVariable
{
public:
    IlpVariable(std::shared_ptr<GDSLVariable> var, int id) {m_var = var; m_id = id;}

    std::string toString() const;

    void createGRBVar(std::shared_ptr<GRBModel>& model);
    std::shared_ptr<GRBVar> toGurobi() const {return m_grbVar;}

    std::string grbToString() const;

    std::shared_ptr<GDSLVariable> parent() const {return m_var;}
    int id() const {return m_id;}

    std::string value() const;

private:
    int m_id;
    std::shared_ptr<GDSLVariable> m_var;
    std::shared_ptr<GRBVar> m_grbVar;
};
}
#endif // ILPVARIABLE_HPP
