#ifndef OPERATOR_HPP
#define OPERATOR_HPP

#include <string>
#include "gurobi_c++.h"

namespace gdsl
{
class Operator
{
public:

    virtual std::string toString() const = 0;
    virtual char toGurobi() const = 0;
};

class Equal : public Operator
{
public:
    Equal() : m_sign("=") {}

    std::string toString() const {return m_sign;}
    char toGurobi() const {return GRB_EQUAL;}

private:
    std::string m_sign;
};

class Leq : public Operator
{
public:
    Leq() : m_sign("<=") {}

    std::string toString() const {return m_sign;}
    char toGurobi() const {return GRB_LESS_EQUAL;}

private:
    std::string m_sign;
};

class Geq : public Operator
{
public:
    Geq() : m_sign(">=") {}

    std::string toString() const {return m_sign;}
    char toGurobi() const {return GRB_GREATER_EQUAL;}

private:
    std::string m_sign;
};

class Lesser : public Operator
{
public:
    Lesser() : m_sign("<") {}

    std::string toString() const {return m_sign;}
    char toGurobi() const {return GRB_LESS_EQUAL;}

private:
    std::string m_sign;
};

class Greater : public Operator
{
public:
    Greater() : m_sign(">") {}

    std::string toString() const {return m_sign;}
    char toGurobi() const {return GRB_GREATER_EQUAL;}

private:
    std::string m_sign;
};

}
#endif // OPERATOR_HPP
