#ifndef RANDOMACCESSGRAPH_HPP
#define RANDOMACCESSGRAPH_HPP

#include <memory>
#include <unordered_map>
#include <ogdf/basic/GraphAttributes.h>

namespace gdsl
{
class RandomAccessGraph
{
public:
    RandomAccessGraph(std::shared_ptr<ogdf::GraphAttributes>& attr);

    std::shared_ptr<ogdf::GraphAttributes> attr() {return m_attr;}

    //Note: These are not the ogdf IDs
    ogdf::node nodeById(int id);
    ogdf::edge edgeById(int id);

    int idByNode(ogdf::node node);
    int idByEdge(ogdf::edge edge);

private:
    std::shared_ptr<ogdf::GraphAttributes> m_attr;

    std::vector<ogdf::node> m_nodes;
    std::vector<ogdf::edge> m_edges;

    std::unordered_map<ogdf::node, int> m_nodeToId;
    std::unordered_map<ogdf::edge, int> m_edgeToId;

    int m_edgeIdMult;
};
}
#endif // RANDOMACCESSGRAPH_HPP
