#include "gdslclosedintvl.hpp"

using namespace gdsl;

GDSLClosedIntvl::GDSLClosedIntvl(int begin, int end)
{
    m_values.push_back(begin);
    m_values.push_back(end);

    makeContignous();
}

bool GDSLClosedIntvl::makeContignous()
{
    if(!m_values.size() == 2)
        return false;

    int begin = m_values.front();
    int end = m_values.back();

    m_values.clear();
    for(int i = begin; i <= end; ++i)
        m_values.push_back(i);

    return true;
}

void GDSLClosedIntvl::setBeginEnd(int begin, int end)
{
    m_values.erase(m_values.begin(), m_values.end());
    m_values.push_back(begin);
    m_values.push_back(end);

    makeContignous();
}

std::string GDSLClosedIntvl::toString() const
{
    std::stringstream ss;

    ss << "[";
    for(auto value : m_values)
        ss << value << ",";

    ss << "]";

    return ss.str();
}

int GDSLClosedIntvl::pos(int element, GDSLRangeIterator start, GDSLRangeIterator end) const
{
    return std::find(start, end, element) - m_values.begin();
}
