#ifndef GDSLCLOSEDINTVL_HPP
#define GDSLCLOSEDINTVL_HPP

#include <sstream>
#include <algorithm>
#include <vector>
#include <iostream>

#include "gdslrange.hpp"

namespace gdsl
{
class GDSLClosedIntvl : public GDSLRange
{
public:
    GDSLClosedIntvl() {}
    GDSLClosedIntvl(int begin, int end);

    GDSLRangeIterator begin() {return m_values.begin();}
    GDSLRangeIterator end() {return m_values.end();}

    GDSLRangeConstIterator begin() const {return m_values.cbegin();}
    GDSLRangeConstIterator end() const {return m_values.cend();}

    void append(int value) {m_values.push_back(value);}
    void clear() {m_values.clear();}

    bool makeContignous();
    void setBeginEnd(int begin, int end);

    void setAt(int pos, int value) {m_values[pos] = value;}

    std::string toString() const;
    int length() const {return m_values.size();}
    int pos(int element, GDSLRangeIterator start, GDSLRangeIterator end) const;

private:
    std::vector<int> m_values;
};
}
#endif // GDSLCLOSEDINTVL_HPP
