#ifndef GDSLPROPERTYRESTRICTION_HPP
#define GDSLPROPERTYRESTRICTION_HPP

#include "gdslrestriction.hpp"

namespace gdsl
{
class GDSLPropertyRestriction : public GDSLRestriction
{
public:
    GDSLPropertyRestriction(RestrictionType inputType, RestrictionType outputType) : GDSLRestriction(inputType, outputType) {m_range = std::make_shared<GDSLClosedIntvl>();}

    bool parseFromTree(pANTLR3_BASE_TREE, std::unordered_map< std::string, std::shared_ptr<GDSLVariable> >&) {return true;}
    bool isSubset(const std::shared_ptr<GDSLRestriction>&) const {return true;}
};

std::shared_ptr<GDSLPropertyRestriction> makeNeighbourRestriction();
std::shared_ptr<GDSLPropertyRestriction> makeSourceRestriction();
std::shared_ptr<GDSLPropertyRestriction> makeTargetRestriction();
std::shared_ptr<GDSLPropertyRestriction> makeIncidentEdgesRestriction();

}

#endif // GDSLPROPERTYRESTRICTION_HPP
