#ifndef GDSLRANGE_HPP
#define GDSLRANGE_HPP

#include <vector>
#include <string>

namespace gdsl
{
typedef std::vector<int>::iterator GDSLRangeIterator;
typedef std::vector<int>::const_iterator GDSLRangeConstIterator;

class GDSLRange
{
public:
    virtual GDSLRangeIterator begin() = 0;
    virtual GDSLRangeIterator end() = 0;

    virtual GDSLRangeConstIterator begin() const = 0;
    virtual GDSLRangeConstIterator end() const = 0;

    virtual void append(int value) = 0;
    virtual void clear() = 0;

    virtual bool makeContignous() = 0;
    virtual void setBeginEnd(int begin, int end) = 0;

    virtual void setAt(int pos, int value) = 0;

    virtual std::string toString() const = 0;
    virtual int length() const = 0;
    virtual int pos(int element, GDSLRangeIterator start, GDSLRangeIterator end) const = 0;
};
}
#endif // GDSLRANGE_HPP
