#ifndef BOOLSTMT_HPP
#define BOOLSTMT_HPP

#include "valuestmt.hpp"
#include "preprocessorutilities.hpp"

namespace gdsl
{
class BoolStmt : public ValueStmt
{
public:
    BoolStmt(std::string name) :
        ValueStmt(name)
    {}

    virtual void setValue(const std::string& value) {m_value = PPUtils::toBool(value);}
    virtual int value() const {return m_value ? 1 : 0;}
    virtual RET_TYPE returnType() const {return RET_TYPE::PPBOOL;}

private:
    bool m_value;
};
}

#endif // BOOLSTMT_HPP
