#ifndef CONSTSTMT_HPP
#define CONSTSTMT_HPP

#include "valuestmt.hpp"

namespace gdsl
{
class ConstStmt : public ValueStmt
{
public:
    ConstStmt(std::string name, int value) :
        ValueStmt(name),
        m_value(value)
    {}

    virtual void setValue(const std::string &value) {m_value = PPUtils::toInt(value);}
    virtual int value() const {return m_value;}
    virtual RET_TYPE returnType() const {return RET_TYPE::PPCONST;}

private:
    int m_value;
};
}

#endif // CONSTSTMT_HPP
