#ifndef USESTMT_HPP
#define USESTMT_HPP

#include <string>

#include <boost/filesystem/operations.hpp>
#include <boost/filesystem/path.hpp>

#include "preprocessorutilities.hpp"

namespace fs = boost::filesystem;

namespace gdsl
{
class MakroPreprocessor;

class UseStmt
{
    static const std::string MAKRO;
    static const std::string PRE_WITH;
    static const char PRE_COMMA;
    static const char PRE_ASSIGN;

public:
    UseStmt(std::string& ppLine, const std::string& makroDir);

    std::string program() const;
    std::string name() const;
    std::string fileName() const;

    const DependencyGraph& dependencies() const;

private:
    fs::path findGDSLFile(const std::string &path);
    std::string readGDSLFile(const boost::filesystem::path &path);
    void parseWithStmts(std::string& ppLine);

    std::string m_makroDir;
    std::shared_ptr<MakroPreprocessor> m_preprocessor;
};
}

#endif // USESTMT_HPP
