#-------------------------------------------------
#
# Project created by QtCreator 2014-04-22T11:46:23
#
#-------------------------------------------------

QT       += core gui

INCLUDEPATH += $$(GUROBI_HOME)/include/ ../OGDF/

LIBS += -L$$(GUROBI_HOME)/lib/ -L../OGDF/_release -lOGDF -lgurobi_c++ -lgurobi56 -lantlr3c -lpthread -lboost_system -lboost_filesystem

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = pigra
TEMPLATE = app

QMAKE_CXXFLAGS += -std=c++0x

SOURCES += \
    mainwindow.cpp \
    gdslhighlighter.cpp \
    gdsleditor.cpp \
    graphscene.cpp \
    gdsluiprogram.cpp \
    ../GDSL/parser/expressions/gdslassign.cpp \
    ../GDSL/parser/expressions/gdsleqexpr.cpp \
    ../GDSL/parser/expressions/gdslloop.cpp \
    ../GDSL/parser/expressions/gdslprogram.cpp \
    ../GDSL/parser/expressions/mathexpr.cpp \
    ../GDSL/parser/expressions/sumexpr.cpp \
    ../GDSL/parser/ilp/ilpequation.cpp \
    ../GDSL/parser/ilp/ilpexpr.cpp \
    ../GDSL/parser/ilp/ilpexprlist.cpp \
    ../GDSL/parser/ilp/ilpvariable.cpp \
    ../GDSL/parser/restrictions/gdslclosedintvl.cpp \
    ../GDSL/parser/restrictions/gdslintrest.cpp \
    ../GDSL/parser/antlrutilities.cpp \
    ../GDSL/parser/combinationiterator.cpp \
    ../GDSL/parser/gdslvariable.cpp \
    ../GDSL/parser/grid.cpp \
    ../GDSL/parser/operator.cpp \
    ../GDSL/parser/parseexception.cpp \
    ../GDSL/parser/randomaccessgraph.cpp \
    ../GDSL/parser/GDSLGrammarLexer.c \
    ../GDSL/parser/GDSLGrammarParser.c \
    main.cpp \
    qgriditem.cpp \
    qcrossitem.cpp \
    myqgraphicsview.cpp \
    ../GDSL/parser/outofboundsexception.cpp \
    gdslvariablestable.cpp \
    gdslvariableinfo.cpp \
    gdslvarlayer.cpp \
    gdslrectitem.cpp \
    gdslmakrochooser.cpp \
    nameedit.cpp \
    intedit.cpp \
    runworker.cpp \
    graphicspixmapobject.cpp \
    ../GDSL/parser/gdslexception.cpp \
    ../GDSL/parser/restrictions/gdslattributerest.cpp \
    ../GDSL/parser/anltrparseerror.c \
    gdsldisplayresult.cpp \
    ../GDSL/parser/restrictions/notanintegerexception.cpp \
    ../GDSL/parser/restrictions/gdslpropertyrestriction.cpp \
    buttoncolorchooser.cpp \
    displaysettings.cpp \
    generalsettings.cpp \
    settingsdialog.cpp \
    gdslconstantswidget.cpp \
    gdslexecuteforwidget.cpp \
    booledit.cpp \
    ../GDSL/preprocessor/gdslpreprocessor.cpp \
    ../GDSL/preprocessor/preprocessorutilities.cpp \
    ../GDSL/preprocessor/usestmt.cpp \
    ../GDSL/preprocessor/valuestmt.cpp \
    createvariabledialog.cpp \
    gdslparseworker.cpp \
    resulttabs.cpp \
    graphpreview.cpp \
    gmlfileplot.cpp

HEADERS  += mainwindow.h \
    gdslhighlighter.h \
    gdsleditor.h \
    graphscene.h \
    gdsluiprogram.hpp \
    ../GDSL/parser/expressions/gdslassign.hpp \
    ../GDSL/parser/expressions/gdsleqexpr.hpp \
    ../GDSL/parser/expressions/gdslexpr.hpp \
    ../GDSL/parser/expressions/gdslloop.hpp \
    ../GDSL/parser/expressions/gdslprogram.hpp \
    ../GDSL/parser/expressions/mathexpr.hpp \
    ../GDSL/parser/expressions/sumexpr.hpp \
    ../GDSL/parser/ilp/ilpequation.hpp \
    ../GDSL/parser/ilp/ilpexpr.hpp \
    ../GDSL/parser/ilp/ilpexprlist.hpp \
    ../GDSL/parser/ilp/ilpvariable.hpp \
    ../GDSL/parser/restrictions/gdslclosedintvl.hpp \
    ../GDSL/parser/restrictions/gdslintrest.hpp \
    ../GDSL/parser/restrictions/gdslrange.hpp \
    ../GDSL/parser/restrictions/gdslrestriction.hpp \
    ../GDSL/parser/antlrutilities.hpp \
    ../GDSL/parser/combinationiterator.hpp \
    ../GDSL/parser/GDSLGrammarLexer.h \
    ../GDSL/parser/GDSLGrammarParser.h \
    ../GDSL/parser/gdslvariable.hpp \
    ../GDSL/parser/grid.hpp \
    ../GDSL/parser/operator.hpp \
    ../GDSL/parser/parseexception.hpp \
    ../GDSL/parser/randomaccessgraph.hpp \
    qgriditem.hpp \
    qcrossitem.hpp \
    myqgraphicsview.hpp \
    ../GDSL/parser/outofboundsexception.hpp \
    gdslvariablestable.hpp \
    gdslvariableinfo.hpp \
    gdslvarlayer.hpp \
    gdslrectitem.hpp \
    ../GDSL/preprocessor/gdslpreprocessor.hpp \
    gdslmakrochooser.hpp \
    nameedit.hpp \
    intedit.hpp \
    runworker.hpp \
    graphicspixmapobject.h \
    ../GDSL/parser/gdslexception.hpp \
    ../GDSL/parser/restrictions/gdslattributerest.hpp \
    ../GDSL/parser/antlrparseerror.h \
    gdsldisplayresult.hpp \
    ../GDSL/parser/restrictions/notanintegerexception.hpp \
    ../GDSL/parser/restrictions/gdslpropertyrestriction.hpp \
    buttoncolorchooser.hpp \
    displaysettings.hpp \
    generalsettings.hpp \
    settingsdialog.hpp \
    gdslconstantswidget.hpp \
    gdslexecuteforwidget.hpp \
    booledit.hpp \
    ../GDSL/preprocessor/gdslpreprocessor.hpp \
    ../GDSL/preprocessor/boolstmt.hpp \
    ../GDSL/preprocessor/executeforstmt.hpp \
    ../GDSL/preprocessor/intstmt.hpp \
    ../GDSL/preprocessor/preprocessorutilities.hpp \
    ../GDSL/preprocessor/usestmt.hpp \
    ../GDSL/preprocessor/valuestmt.hpp \
    ../GDSL/preprocessor/conststmt.hpp \
    createvariabledialog.hpp \
    gdslparseworker.hpp \
    resulttabs.hpp \
    graphpreview.hpp \
    gmlfileplot.hpp

FORMS    += mainwindow.ui \
    gdslvariablestable.ui \
    gdslmakrochooser.ui \
    nameedit.ui \
    intedit.ui \
    gdsldisplayresult.ui \
    displaysettings.ui \
    generalsettings.ui \
    settingsdialog.ui \
    gdslconstantswidget.ui \
    gdslexecuteforwidget.ui \
    booledit.ui \
    createvariabledialog.ui \
    graphpreview.ui \
    gmlfileplot.ui

RESOURCES += \
    Pictures.qrc
