#ifndef BUTTONCOLORCHOOSER_HPP
#define BUTTONCOLORCHOOSER_HPP

#include <QString>
#include <QColorDialog>
#include <QPushButton>
#include <QTreeWidgetItem>
#include "gdslvariableinfo.hpp"

class ButtonColorChooser : public QPushButton
{
    Q_OBJECT

public:
    explicit ButtonColorChooser(std::shared_ptr<TreeItem> item, bool useOrigColor = true, QWidget *parent = 0);
    ~ButtonColorChooser();

signals:
    void colorChanged(std::shared_ptr<TreeItem>);

public slots:
    void colorModeChanged(bool useOrigColor);

private slots:
    void on_pushButton_clicked();

private:
    void updateColor();

    bool m_useOrigColor = true;

    QColor m_currentColor;
    QColor m_origColor;
    QColor m_autoColor;
    std::shared_ptr<TreeItem> m_item;
};

#endif // BUTTONCOLORCHOOSER_HPP
