#include "createvariabledialog.hpp"
#include "ui_createvariabledialog.h"

CreateVariableDialog::CreateVariableDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CreateVariableDialog)
{
    ui->setupUi(this);
    ui->intEdit->setDisabled(!ui->constButton->isChecked());
}

CreateVariableDialog::~CreateVariableDialog()
{
    delete ui;
}

QString CreateVariableDialog::name() const
{
    return ui->nameEdit->text();
}

QString CreateVariableDialog::value() const
{
    if(ui->boolButton->isChecked())
       return "bool";
    else if(ui->intButton->isChecked())
        return "int";
    else if(ui->constButton->isChecked())
        return QString("%1").arg(ui->intEdit->value());
    else
        return "";
}

void CreateVariableDialog::on_constButton_toggled(bool checked)
{
    ui->intEdit->setDisabled(!checked);
}
