#include "displaysettings.hpp"
#include "ui_displaysettings.h"

#include "settingsdialog.hpp"

DisplaySettings::DisplaySettings(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::DisplaySettings)
{
    ui->setupUi(this);
}

DisplaySettings::~DisplaySettings()
{
    delete ui;
}

void DisplaySettings::apply()
{
    QSettings settings;

    settings.setValue(SettingsKeys::VIEW_SHOW_COLORPICKER, ui->showColorpickers->isChecked());
    settings.setValue(SettingsKeys::VIEW_SHOW_COORDINATES, ui->showCoords->isChecked());
    settings.setValue(SettingsKeys::VIEW_SHOW_LABELS, ui->showLabels->isChecked());
    settings.setValue(SettingsKeys::VIEW_SHOW_ORIGCOLORS, ui->fileColors->isChecked());
}

void DisplaySettings::readSettings()
{
    QSettings settings;

    if(settings.value(SettingsKeys::VIEW_SHOW_COLORPICKER).toBool())
        ui->showColorpickers->setCheckState(Qt::Checked);

    if(settings.value(SettingsKeys::VIEW_SHOW_COORDINATES).toBool())
        ui->showCoords->setCheckState(Qt::Checked);

    if(settings.value(SettingsKeys::VIEW_SHOW_LABELS).toBool())
        ui->showLabels->setCheckState(Qt::Checked);

    if(settings.value(SettingsKeys::VIEW_SHOW_ORIGCOLORS).toBool())
        ui->fileColors->setChecked(true);
    else
        ui->autoColors->setChecked(true);
}
