#ifndef GDSLDISPLAYRESULT_HPP
#define GDSLDISPLAYRESULT_HPP

#include <memory>

#include <QWidget>
#include <QList>
#include <QColor>
#include <QSettings>

#include "gdslvariableinfo.hpp"
#include "graphscene.h"

namespace Ui {
class GDSLDisplayResult;
}

class GDSLDisplayResult : public QWidget
{
    Q_OBJECT

    static const QList<QColor> PLEASING_COLORS;

public:
    explicit GDSLDisplayResult(std::vector< std::shared_ptr<GDSLVariableInfo> > varInfos, int rows = 1, int cols = 1, QWidget *parent = 0);
    ~GDSLDisplayResult();

    void setVariableInfo(std::vector<std::shared_ptr<GDSLVariableInfo> > varInfos, int rows = 1, int cols = 1);
    void drawTo(QPainter* painter) {m_scene->render(painter);}

signals:
    void settingsChanged();

public slots:
    void settingsChangedSlot();

private:
    Ui::GDSLDisplayResult *ui;

    GraphScene* m_scene;
    int m_rows;
    int m_cols;
    std::vector<std::shared_ptr<GDSLVariableInfo> > m_varInfos;
};

#endif // GDSLDISPLAYRESULT_HPP
