#include "gdslexecuteforwidget.hpp"
#include "ui_gdslexecuteforwidget.h"

GDSLExecuteForWidget::GDSLExecuteForWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::GDSLExecuteForWidget)
{
    ui->setupUi(this);
}

GDSLExecuteForWidget::~GDSLExecuteForWidget()
{
    delete ui;
}

QString GDSLExecuteForWidget::preProcessorString() const
{
    if(ui->varName->text() != "")
    {
        QString ppString("%execute for %1 in [%2,%3]");
        return ppString.arg(ui->varName->text()).arg(ui->start->value()).arg(ui->end->value());
    }

    return "";
}

void GDSLExecuteForWidget::setExecFor(const QString &name, int start, int end)
{
    ui->varName->setText(name);
    ui->start->setValue(start);
    ui->end->setValue(end);
}

void GDSLExecuteForWidget::reset()
{
    ui->varName->setText("");
    ui->start->setValue(0);
    ui->end->setValue(0);
}
