#ifndef GDSLHIGHLIGHTER_H
#define GDSLHIGHLIGHTER_H

#include <QSyntaxHighlighter>

#include <iostream>

class GDSLHighlighter : public QSyntaxHighlighter
{
    Q_OBJECT

    static const QColor SET_COLOR;
    static const QColor STMT_COLOR;
    static const QColor COMMENT_COLOR;
    static const QColor MAKRO_COLOR;

public:
    explicit GDSLHighlighter(QTextDocument *parent = 0);

protected:
    void highlightBlock(const QString& text);

private:
    struct HighlightingRule
    {
        QRegExp pattern;
        QTextCharFormat format;
    };
    QVector<HighlightingRule> m_highlightingRules;

    QRegExp m_commentStartExpression;
    QRegExp m_commentEndExpression;

    QTextCharFormat m_defaultVariableFormat;
    QTextCharFormat m_keywordFormat;
    QTextCharFormat m_nameFormat;
    QTextCharFormat m_singleLineCommentFormat;
    QTextCharFormat m_makroFormat;

signals:

public slots:

};

#endif // GDSLHIGHLIGHTER_H
