#include "gdslparseworker.hpp"

GDSLParseWorker::GDSLParseWorker(const std::string &program, const std::string &makroDir, QObject *parent) :
    QObject(parent),
    m_program(program),
    m_makroDir(makroDir)
{
    m_uiprogram = std::make_shared<GDSLuiProgram>();
}

std::pair<std::string, std::string> GDSLParseWorker::getError() const
{
    return std::pair<std::string, std::string>(m_uiprogram->parseErrorTitle(), m_uiprogram->parseErrorMessage());
}

void GDSLParseWorker::process()
{
    std::string name = "";

    m_uiprogram->preprocessAndParse(name, m_program, m_makroDir);

    if(m_uiprogram->parseFinishedWithError())
        emit error();
    else
        emit finished();
}
