#ifndef GDSLPARSEWORKER_HPP
#define GDSLPARSEWORKER_HPP

#include <QObject>

#include <string>
#include <unordered_map>

#include "gdslvariableinfo.hpp"
#include "gdsluiprogram.hpp"
#include "../GDSL/parser/randomaccessgraph.hpp"

class GDSLParseWorker : public QObject
{
    Q_OBJECT
public:
    explicit GDSLParseWorker(const std::string &program, const std::string &makroDir, QObject *parent = 0);

    std::shared_ptr<GDSLuiProgram> parsedProgram() {return m_uiprogram;}
    std::pair<std::string, std::string> getError() const;

private:
    std::string m_program;
    std::string m_makroDir;

    std::shared_ptr<GDSLuiProgram> m_uiprogram;

signals:
    void finished();
    void error();

public slots:
    void process();

};

#endif // GDSLPARSEWORKER_HPP
