#include "generalsettings.hpp"
#include "ui_generalsettings.h"

#include "settingsdialog.hpp"

GeneralSettings::GeneralSettings(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::GeneralSettings)
{
    ui->setupUi(this);
}

GeneralSettings::~GeneralSettings()
{
    delete ui;
}

void GeneralSettings::apply()
{
    QSettings settings;

    settings.setValue(SettingsKeys::GEN_GRAPH_PATH, ui->graphDirEdit->text());
    settings.setValue(SettingsKeys::GEN_PROGRAM_PATH, ui->programDirEdit->text());
}

void GeneralSettings::readSettings()
{
    QSettings settings;

    ui->graphDirEdit->setText(settings.value(SettingsKeys::GEN_GRAPH_PATH).toString());
    ui->programDirEdit->setText(settings.value(SettingsKeys::GEN_PROGRAM_PATH).toString());
}

void GeneralSettings::on_graphDirButton_clicked()
{
    auto newDirPath = QFileDialog::getExistingDirectory(this, "Choose the directory your gml files are in.", ui->graphDirEdit->text());
    ui->graphDirEdit->setText(newDirPath);
}

void GeneralSettings::on_programDirButton_clicked()
{
    auto newProgPath = QFileDialog::getExistingDirectory(this, "Choose the directory your gdsl files are in.", ui->graphDirEdit->text());
    ui->programDirEdit->setText(newProgPath);
}
