#ifndef GMLFILEPLOT_H
#define GMLFILEPLOT_H

#include <QWidget>
#include <QString>
#include <QStringList>
#include <QDir>
#include <QFileDialog>
#include <QGraphicsItem>
#include <QGraphicsLinearLayout>
#include <QGraphicsWidget>

#include <memory>

#include <ogdf/basic/Graph.h>
#include <ogdf/basic/GraphAttributes.h>
#include <ogdf/orthogonal/OrthoLayout.h>
#include <ogdf/planarity/PlanarizationLayout.h>
#include <ogdf/planarity/FastPlanarSubgraph.h>
#include <ogdf/planarity/VariableEmbeddingInserter.h>
#include <ogdf/planarity/EmbedderMinDepthMaxFaceLayers.h>

#include "myqgraphicsview.hpp"

namespace Ui {
class GmlFilePlot;
}

class GmlFilePlot : public QWidget
{
    Q_OBJECT
    
public:
    explicit GmlFilePlot(QWidget *parent = 0);
    ~GmlFilePlot();

    void plotFile(QString& path);
    void plotGraph(std::shared_ptr<ogdf::GraphAttributes> ga);
    void plotGraph(const ogdf::Graph& g, ogdf::GraphAttributes& ga);

private:
    Ui::GmlFilePlot *ui;

    void layoutGraph(const ogdf::Graph&, ogdf::GraphAttributes &ga);

    QGraphicsEllipseItem* drawNode(int x, int y, double width, double height, QColor color = Qt::black);
    QGraphicsPathItem* drawEdge(QGraphicsEllipseItem *u, QGraphicsEllipseItem *v, ogdf::DPolyline& bends, QColor color = Qt::black);
};

#endif // GMLFILEPLOT_H
