#include "graphicspixmapobject.h"

GraphicsPixmapObject::GraphicsPixmapObject(QPixmap &pixmap, QGraphicsItem *parent) :
    QGraphicsObject(parent),
    m_pixmap(pixmap)
{
    m_pixmapItem = new QGraphicsPixmapItem(pixmap, this);
    connect(this, SIGNAL(posChanged()), this, SLOT(posChangedSlot()));
}

void GraphicsPixmapObject::posChangedSlot()
{
    setPos(m_position);
    double yLength = pos().y() + boundingRect().height() - parentItem()->boundingRect().height() / 2;
    if(yLength < 1)
        yLength = 1;

    QPixmap pixmap = m_pixmap;
    QPainter painter(&pixmap);
    painter.setBrush(QBrush(Qt::transparent));
    painter.setCompositionMode(QPainter::CompositionMode_Clear);
    painter.drawRect(0, boundingRect().height() - yLength + 1.5, m_pixmapItem->boundingRect().width(), yLength);
    painter.end();

    m_pixmapItem->setPixmap(pixmap);
}
