#ifndef GRAPHICSPIXMAPOBJECT_H
#define GRAPHICSPIXMAPOBJECT_H

#include <QGraphicsObject>
#include <QGraphicsPixmapItem>
#include <QPainter>

#include <iostream>

class GraphicsPixmapObject : public QGraphicsObject
{
    Q_OBJECT

    Q_PROPERTY(QPointF pos MEMBER m_position NOTIFY posChanged)

public:
    explicit GraphicsPixmapObject(QPixmap& pixmap, QGraphicsItem* parent = 0);

    QRectF boundingRect() const {return m_pixmapItem->boundingRect();}
    void paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*) {}

    void setPixmap(QPixmap& pixmap) {m_pixmapItem->setPixmap(pixmap);}

private:
    QPixmap m_pixmap;
    QGraphicsPixmapItem* m_pixmapItem;
    QPointF m_position;

signals:
    void posChanged();

private slots:
    void posChangedSlot();
};

#endif // GRAPHICSPIXMAPOBJECT_H
