#include "graphpreview.hpp"
#include "ui_graphpreview.h"

GraphPreview::GraphPreview(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::GraphPreview)
{
    ui->setupUi(this);
}

GraphPreview::~GraphPreview()
{
    delete ui;
}

void GraphPreview::previewGraph(std::shared_ptr<ogdf::GraphAttributes> attr)
{
    m_attr = attr;
    ui->plotter->plotGraph(m_attr->constGraph(), *m_attr);

    QString num("%1");
    ui->numEdges->setText(num.arg(attr->constGraph().numberOfEdges()));
    ui->numNodes->setText(num.arg(attr->constGraph().numberOfNodes()));
}
