#include "graphscene.h"

GraphScene::GraphScene(QObject *parent) :
    QGraphicsScene(parent)
{
    drawGrid(1, 1);
}

QGridItem *GraphScene::drawGrid(int rows, int columns)
{
    QGridItem* grid = new QGridItem(rows, columns, 25.0, QPen(Qt::gray));
    addItem(grid);

    connect(this, SIGNAL(sceneRowsChanged(int)), grid, SLOT(rowsChanged(int)));
    connect(this, SIGNAL(sceneColumnsChanged(int)), grid, SLOT(columnsChanged(int)));
    connect(this, SIGNAL(sceneRowsColumnsChanged(int,int)), grid, SLOT(rowsColumnsChanged(int,int)));

    return grid;
}
