#ifndef GRAPHSCENE_H
#define GRAPHSCENE_H

#include <QGraphicsScene>
#include <QVector>

#include "ogdf/basic/GraphAttributes.h"

#include "qgriditem.hpp"
#include "gdslvarlayer.hpp"

class GraphScene : public QGraphicsScene
{
    Q_OBJECT
public:
    explicit GraphScene(QObject *parent = 0);

    QGridItem* drawGrid(int rows, int columns);
    void addLayer(GDSLVarLayer* layer) {addItem(layer);}

private:

signals:
    void sceneRowsChanged(int rows);
    void sceneColumnsChanged(int columns);
    void sceneRowsColumnsChanged(int rows, int columns);

public slots:
    void rowsChanged(int rows) {emit sceneRowsChanged(rows);}
    void columnsChanged(int columns) {emit sceneColumnsChanged(columns);}
    void rowsColumnsChanged(int rows, int columns) {emit sceneRowsColumnsChanged(rows, columns);}
};

#endif // GRAPHSCENE_H
