#include "qcrossitem.hpp"

QCrossItem::QCrossItem(QRectF &box, QPen pen, QGraphicsItem *parent) :
    QGraphicsItem(parent),
    m_pen(pen)
{
    m_right = box.width();
    m_bottom = box.height();
}

QRectF QCrossItem::boundingRect() const
{
    return QRectF(0, 0, m_right, m_bottom);
}

void QCrossItem::paint(QPainter *painter, const QStyleOptionGraphicsItem*, QWidget*)
{
    painter->setPen(m_pen);
    painter->drawLine(QPointF(0,m_bottom/2.0), QPointF(m_right, m_bottom/2.0));
    painter->drawLine(QPointF(m_right/2.0, 0), QPointF(m_right/2.0, m_bottom));
}
