#include "resulttabs.hpp"

ResultTabs::ResultTabs(QWidget *parent) :
    QTabWidget(parent)
{
}

void ResultTabs::exportCurrentTab(QPainter* painter)
{
    int pos = currentIndex();

    if(!m_resMap.contains(pos))
        return;

    m_resMap[pos]->drawTo(painter);
}

int ResultTabs::addResult(GDSLDisplayResult *result, const QString &title)
{
    int pos = addTab(result, title);
    m_resMap[pos] = result;

    return pos;
}

int ResultTabs::addError(const QString &error, const QString &title)
{
    QLabel* label = new QLabel(error, this);
    return addTab(label, title);
}
