#include "runworker.hpp"

#include "gurobi_c++.h"
#include "../GDSL/parser/gdslexception.hpp"

GDSLRunWorker::GDSLRunWorker(std::shared_ptr<GDSLuiProgram> program, std::shared_ptr<gdsl::RandomAccessGraph> raGraph, std::shared_ptr<gdsl::Grid> grid, QObject *parent) :
    QObject(parent),
    m_raGraph(raGraph),
    m_uiprogram(program),
    m_grid(grid)
{
    m_env = std::make_shared<GRBEnv>();
}

std::pair<std::string, std::string> GDSLRunWorker::getError(int run) const
{
    return std::pair<std::string, std::string>(m_uiprogram->runErrorTitle(run), m_uiprogram->runErrorMessage(run));
}

void GDSLRunWorker::process()
{
    m_model = m_uiprogram->run(m_raGraph, m_grid, m_env);
    m_varInfos = m_uiprogram->variables();
    emit finished();
}
