#include "settingsdialog.hpp"
#include "ui_settingsdialog.h"

const QString SettingsKeys::SPLITTER_VIEWEDITOR = QString("ui/splitter/view_editor");

const QString SettingsKeys::MAKRO_PATH = QString("paths/makros/");
const QString SettingsKeys::GEN_GRAPH_PATH = QString("paths/graphs");
const QString SettingsKeys::GEN_PROGRAM_PATH = QString("paths/programs");
const QString SettingsKeys::HELPSTYLE_PATH = QString("paths/helpstyle");

const QString SettingsKeys::VIEW_SHOW_ORIGCOLORS = QString("view/graphview/orig_colors");
const QString SettingsKeys::VIEW_SHOW_COORDINATES = QString("view/treeview/coordinates");
const QString SettingsKeys::VIEW_SHOW_LABELS = QString("view/treeview/labels");
const QString SettingsKeys::VIEW_SHOW_COLORPICKER = QString("view/treeview/colorpicker");

SettingsDialog::SettingsDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::SettingsDialog)
{
    ui->setupUi(this);

    readSettings();

    connect(ui->settingsCategories, SIGNAL(currentItemChanged(QListWidgetItem*,QListWidgetItem*)), this, SLOT(changePage(QListWidgetItem*,QListWidgetItem*)));
}

SettingsDialog::~SettingsDialog()
{
    delete ui;
}

void SettingsDialog::changePage(QListWidgetItem *current, QListWidgetItem *previous)
{
    if(!current)
        current = previous;

    ui->stackedWidget->setCurrentIndex(ui->settingsCategories->row(current));
}

void SettingsDialog::accept()
{
    saveSettings();
    QDialog::accept();
}

void SettingsDialog::saveSettings()
{
    ui->generalPage->apply();
    ui->displayPage->apply();
}

void SettingsDialog::readSettings()
{
    ui->generalPage->readSettings();
    ui->displayPage->readSettings();
}
