#ifndef SETTINGSDIALOG_HPP
#define SETTINGSDIALOG_HPP

#include <QDialog>
#include <QListWidget>
#include <QStackedWidget>
#include <QSettings>

#include <QDebug>

namespace Ui {
class SettingsDialog;
}

struct SettingsKeys
{
    static const QString SPLITTER_VIEWEDITOR;
    static const QString MAKRO_PATH;
    static const QString HELPSTYLE_PATH;

    static const QString GEN_GRAPH_PATH;
    static const QString GEN_PROGRAM_PATH;

    static const QString VIEW_SHOW_ORIGCOLORS;
    static const QString VIEW_SHOW_COORDINATES;
    static const QString VIEW_SHOW_LABELS;
    static const QString VIEW_SHOW_COLORPICKER;
};

class SettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(QWidget *parent = 0);
    ~SettingsDialog();

public slots:
    void changePage(QListWidgetItem* current, QListWidgetItem* previous);
    void accept();

private:
    void saveSettings();
    void readSettings();

    Ui::SettingsDialog *ui;
};

#endif // SETTINGSDIALOG_HPP
